/*
 * Internal module API header file.
 *
 * Generated by SIP 6.7.12
 *
 * Copyright (c) 2023 Riverbank Computing Limited <info@riverbankcomputing.com>
 * 
 * This file is part of PyQt6.
 * 
 * This file may be used under the terms of the GNU General Public License
 * version 3.0 as published by the Free Software Foundation and appearing in
 * the file LICENSE included in the packaging of this file.  Please review the
 * following information to ensure the GNU General Public License version 3.0
 * requirements will be met: http://www.gnu.org/copyleft/gpl.html.
 * 
 * If you do not wish to use this file under the terms of the GPL version 3.0
 * then you may purchase a commercial license.  For more information contact
 * info@riverbankcomputing.com.
 * 
 * This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
 * WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
 */

#ifndef _QtSqlAPI_H
#define _QtSqlAPI_H

#if !defined(Py_LIMITED_API)
#define Py_LIMITED_API
#endif

#include "sip.h"

#include <QMetaType>
#include <QThread>

/* These are the qualifiers that are enabled. */
#define SIP_FEATURE_PyQt_Permissions
#define SIP_FEATURE_PyQt_DTLS
#define SIP_FEATURE_PyQt_WebChannel
#define SIP_FEATURE_PyQt_Process
#define SIP_FEATURE_PyQt_OpenGL
#define SIP_FEATURE_PyQt_RawFont
#define SIP_FEATURE_PyQt_PrintPreviewDialog
#define SIP_FEATURE_PyQt_PrintPreviewWidget
#define SIP_FEATURE_PyQt_Printer
#define SIP_FEATURE_PyQt_PrintDialog
#define SIP_FEATURE_PyQt_qreal_double
#define SIP_FEATURE_PyQt_SSL
#define SIP_FEATURE_PyQt_SessionManager
#define SIP_FEATURE_PyQt_Accessibility
#define SIP_PLATFORM_Linux
#define SIP_TIMELINE_Qt_6_6_0


/*
 * Convenient names to refer to various strings defined in this module.
 * Only the class names are part of the public API.
 */
#define sipNameNr_QSqlRelationalTableModel__JoinMode 0
#define sipName_QSqlRelationalTableModel__JoinMode &sipStrings_QtSql[0]
#define sipNameNr_QSql__NumericalPrecisionPolicy 35
#define sipName_QSql__NumericalPrecisionPolicy &sipStrings_QtSql[35]
#define sipNameNr_QSqlDriver__NotificationSource 66
#define sipName_QSqlDriver__NotificationSource &sipStrings_QtSql[66]
#define sipNameNr_QSqlQuery__BatchExecutionMode 97
#define sipName_QSqlQuery__BatchExecutionMode &sipStrings_QtSql[97]
#define sipNameNr_QSqlTableModel__EditStrategy 127
#define sipName_QSqlTableModel__EditStrategy &sipStrings_QtSql[127]
#define sipNameNr_156 156
#define sipName_156 &sipStrings_QtSql[156]
#define sipNameNr_setNumericalPrecisionPolicy 184
#define sipName_setNumericalPrecisionPolicy &sipStrings_QtSql[184]
#define sipNameNr_unsubscribeFromNotification 212
#define sipName_unsubscribeFromNotification &sipStrings_QtSql[212]
#define sipNameNr_QSqlDriver__IdentifierType 240
#define sipName_QSqlDriver__IdentifierType &sipStrings_QtSql[240]
#define sipNameNr_QSqlDriver__DriverFeature 267
#define sipName_QSqlDriver__DriverFeature &sipStrings_QtSql[267]
#define sipNameNr_QSqlDriver__StatementType 293
#define sipName_QSqlDriver__StatementType &sipStrings_QtSql[293]
#define sipNameNr_QSqlField__RequiredStatus 319
#define sipName_QSqlField__RequiredStatus &sipStrings_QtSql[319]
#define sipNameNr_QSqlResult__BindingSyntax 345
#define sipName_QSqlResult__BindingSyntax &sipStrings_QtSql[345]
#define sipNameNr_subscribedToNotifications 371
#define sipName_subscribedToNotifications &sipStrings_QtSql[371]
#define sipNameNr_NumericalPrecisionPolicy 41
#define sipName_NumericalPrecisionPolicy &sipStrings_QtSql[41]
#define sipNameNr_QSqlRelationalTableModel 397
#define sipName_QSqlRelationalTableModel &sipStrings_QtSql[397]
#define sipNameNr_numericalPrecisionPolicy 422
#define sipName_numericalPrecisionPolicy &sipStrings_QtSql[422]
#define sipNameNr_PyQt6_sip_simplewrapper 447
#define sipName_PyQt6_sip_simplewrapper &sipStrings_QtSql[447]
#define sipNameNr_maximumIdentifierLength 471
#define sipName_maximumIdentifierLength &sipStrings_QtSql[471]
#define sipNameNr_subscribeToNotification 495
#define sipName_subscribeToNotification &sipStrings_QtSql[495]
#define sipNameNr_PositionalPlaceholders 519
#define sipName_PositionalPlaceholders &sipStrings_QtSql[519]
#define sipNameNr_QSqlRelationalDelegate 542
#define sipName_QSqlRelationalDelegate &sipStrings_QtSql[542]
#define sipNameNr_QSqlDriverCreatorBase 565
#define sipName_QSqlDriverCreatorBase &sipStrings_QtSql[565]
#define sipNameNr_QSqlDriver__DbmsType 587
#define sipName_QSqlDriver__DbmsType &sipStrings_QtSql[587]
#define sipNameNr_QSqlError__ErrorType 608
#define sipName_QSqlError__ErrorType &sipStrings_QtSql[608]
#define sipNameNr_supportedDragActions 629
#define sipName_supportedDragActions &sipStrings_QtSql[629]
#define sipNameNr_supportedDropActions 650
#define sipName_supportedDropActions &sipStrings_QtSql[650]
#define sipNameNr_updateEditorGeometry 671
#define sipName_updateEditorGeometry &sipStrings_QtSql[671]
#define sipNameNr_LowPrecisionNumbers 692
#define sipName_LowPrecisionNumbers &sipStrings_QtSql[692]
#define sipNameNr_QSql__ParamTypeFlag 712
#define sipName_QSql__ParamTypeFlag &sipStrings_QtSql[712]
#define sipNameNr_isIdentifierEscaped 732
#define sipName_isIdentifierEscaped &sipStrings_QtSql[732]
#define sipNameNr_rollbackTransaction 752
#define sipName_rollbackTransaction &sipStrings_QtSql[752]
#define sipNameNr_BatchExecutionMode 108
#define sipName_BatchExecutionMode &sipStrings_QtSql[108]
#define sipNameNr_EventNotifications 772
#define sipName_EventNotifications &sipStrings_QtSql[772]
#define sipNameNr_LowPrecisionDouble 791
#define sipName_LowPrecisionDouble &sipStrings_QtSql[791]
#define sipNameNr_MultipleResultSets 810
#define sipName_MultipleResultSets &sipStrings_QtSql[810]
#define sipNameNr_NotificationSource 78
#define sipName_NotificationSource &sipStrings_QtSql[78]
#define sipNameNr_beginInsertColumns 829
#define sipName_beginInsertColumns &sipStrings_QtSql[829]
#define sipNameNr_beginRemoveColumns 848
#define sipName_beginRemoveColumns &sipStrings_QtSql[848]
#define sipNameNr_deleteRowFromTable 867
#define sipName_deleteRowFromTable &sipStrings_QtSql[867]
#define sipNameNr_insertRowIntoTable 886
#define sipName_insertRowIntoTable &sipStrings_QtSql[886]
#define sipNameNr_LowPrecisionInt32 905
#define sipName_LowPrecisionInt32 &sipStrings_QtSql[905]
#define sipNameNr_LowPrecisionInt64 923
#define sipName_LowPrecisionInt64 &sipStrings_QtSql[923]
#define sipNameNr_NamedPlaceholders 941
#define sipName_NamedPlaceholders &sipStrings_QtSql[941]
#define sipNameNr_PositionalBinding 959
#define sipName_PositionalBinding &sipStrings_QtSql[959]
#define sipNameNr_commitTransaction 977
#define sipName_commitTransaction &sipStrings_QtSql[977]
#define sipNameNr_isDriverAvailable 995
#define sipName_isDriverAvailable &sipStrings_QtSql[995]
#define sipNameNr_registerSqlDriver 1013
#define sipName_registerSqlDriver &sipStrings_QtSql[1013]
#define sipNameNr_resetInternalData 1031
#define sipName_resetInternalData &sipStrings_QtSql[1031]
#define sipNameNr_setConnectOptions 1049
#define sipName_setConnectOptions &sipStrings_QtSql[1049]
#define sipNameNr_setRequiredStatus 1067
#define sipName_setRequiredStatus &sipStrings_QtSql[1067]
#define sipNameNr_TransactionError 1085
#define sipName_TransactionError &sipStrings_QtSql[1085]
#define sipNameNr_beginTransaction 1102
#define sipName_beginTransaction &sipStrings_QtSql[1102]
#define sipNameNr_disconnectNotify 1119
#define sipName_disconnectNotify &sipStrings_QtSql[1119]
#define sipNameNr_endInsertColumns 1136
#define sipName_endInsertColumns &sipStrings_QtSql[1136]
#define sipNameNr_endRemoveColumns 1153
#define sipName_endRemoveColumns &sipStrings_QtSql[1153]
#define sipNameNr_escapeIdentifier 1170
#define sipName_escapeIdentifier &sipStrings_QtSql[1170]
#define sipNameNr_updateRowInTable 1187
#define sipName_updateRowInTable &sipStrings_QtSql[1187]
#define sipNameNr_BatchOperations 1204
#define sipName_BatchOperations &sipStrings_QtSql[1204]
#define sipNameNr_ConnectionError 1220
#define sipName_ConnectionError &sipStrings_QtSql[1220]
#define sipNameNr_DeleteStatement 1236
#define sipName_DeleteStatement &sipStrings_QtSql[1236]
#define sipNameNr_InsertStatement 1252
#define sipName_InsertStatement &sipStrings_QtSql[1252]
#define sipNameNr_PreparedQueries 1268
#define sipName_PreparedQueries &sipStrings_QtSql[1268]
#define sipNameNr_QSql__TableType 1284
#define sipName_QSql__TableType &sipStrings_QtSql[1284]
#define sipNameNr_SelectStatement 1300
#define sipName_SelectStatement &sipStrings_QtSql[1300]
#define sipNameNr_UpdateStatement 1316
#define sipName_UpdateStatement &sipStrings_QtSql[1316]
#define sipNameNr_ValuesAsColumns 1332
#define sipName_ValuesAsColumns &sipStrings_QtSql[1332]
#define sipNameNr_beginInsertRows 1348
#define sipName_beginInsertRows &sipStrings_QtSql[1348]
#define sipNameNr_beginRemoveRows 1364
#define sipName_beginRemoveRows &sipStrings_QtSql[1364]
#define sipNameNr_beginResetModel 1380
#define sipName_beginResetModel &sipStrings_QtSql[1380]
#define sipNameNr_boundValueCount 1396
#define sipName_boundValueCount &sipStrings_QtSql[1396]
#define sipNameNr_boundValueNames 1412
#define sipName_boundValueNames &sipStrings_QtSql[1412]
#define sipNameNr_canDropMimeData 1428
#define sipName_canDropMimeData &sipStrings_QtSql[1428]
#define sipNameNr_connectionNames 1444
#define sipName_connectionNames &sipStrings_QtSql[1444]
#define sipNameNr_initStyleOption 1460
#define sipName_initStyleOption &sipStrings_QtSql[1460]
#define sipNameNr_nativeErrorCode 1476
#define sipName_nativeErrorCode &sipStrings_QtSql[1476]
#define sipNameNr_numRowsAffected 1492
#define sipName_numRowsAffected &sipStrings_QtSql[1492]
#define sipNameNr_selectStatement 1508
#define sipName_selectStatement &sipStrings_QtSql[1508]
#define sipNameNr_setDatabaseName 1524
#define sipName_setDatabaseName &sipStrings_QtSql[1524]
#define sipNameNr_setDefaultValue 1540
#define sipName_setDefaultValue &sipStrings_QtSql[1540]
#define sipNameNr_setEditStrategy 1556
#define sipName_setEditStrategy &sipStrings_QtSql[1556]
#define sipNameNr_stripDelimiters 1572
#define sipName_stripDelimiters &sipStrings_QtSql[1572]
#define sipNameNr_BeforeFirstRow 1588
#define sipName_BeforeFirstRow &sipStrings_QtSql[1588]
#define sipNameNr_IdentifierType 252
#define sipName_IdentifierType &sipStrings_QtSql[252]
#define sipNameNr_OnManualSubmit 1603
#define sipName_OnManualSubmit &sipStrings_QtSql[1603]
#define sipNameNr_QSql__Location 1618
#define sipName_QSql__Location &sipStrings_QtSql[1618]
#define sipNameNr_QSqlQueryModel 1633
#define sipName_QSqlQueryModel &sipStrings_QtSql[1633]
#define sipNameNr_QSqlTableModel 1648
#define sipName_QSqlTableModel &sipStrings_QtSql[1648]
#define sipNameNr_RequiredStatus 330
#define sipName_RequiredStatus &sipStrings_QtSql[330]
#define sipNameNr_StatementError 1663
#define sipName_StatementError &sipStrings_QtSql[1663]
#define sipNameNr_WhereStatement 1678
#define sipName_WhereStatement &sipStrings_QtSql[1678]
#define sipNameNr_boundValueName 1693
#define sipName_boundValueName &sipStrings_QtSql[1693]
#define sipNameNr_connectOptions 1708
#define sipName_connectOptions &sipStrings_QtSql[1708]
#define sipNameNr_connectionName 1723
#define sipName_connectionName &sipStrings_QtSql[1723]
#define sipNameNr_removeDatabase 1738
#define sipName_removeDatabase &sipStrings_QtSql[1738]
#define sipNameNr_requiredStatus 1753
#define sipName_requiredStatus &sipStrings_QtSql[1753]
#define sipNameNr_setForwardOnly 1768
#define sipName_setForwardOnly &sipStrings_QtSql[1768]
#define sipNameNr_BindingSyntax 357
#define sipName_BindingSyntax &sipStrings_QtSql[357]
#define sipNameNr_DriverFeature 279
#define sipName_DriverFeature &sipStrings_QtSql[279]
#define sipNameNr_HighPrecision 1783
#define sipName_HighPrecision &sipStrings_QtSql[1783]
#define sipNameNr_OnFieldChange 1797
#define sipName_OnFieldChange &sipStrings_QtSql[1797]
#define sipNameNr_ParamTypeFlag 718
#define sipName_ParamTypeFlag &sipStrings_QtSql[718]
#define sipNameNr_SimpleLocking 1811
#define sipName_SimpleLocking &sipStrings_QtSql[1811]
#define sipNameNr_StatementType 305
#define sipName_StatementType &sipStrings_QtSql[305]
#define sipNameNr_UnknownSource 1825
#define sipName_UnknownSource &sipStrings_QtSql[1825]
#define sipNameNr_bindValueType 1839
#define sipName_bindValueType &sipStrings_QtSql[1839]
#define sipNameNr_bindingSyntax 1853
#define sipName_bindingSyntax &sipStrings_QtSql[1853]
#define sipNameNr_clearItemData 1867
#define sipName_clearItemData &sipStrings_QtSql[1867]
#define sipNameNr_cloneDatabase 1881
#define sipName_cloneDatabase &sipStrings_QtSql[1881]
#define sipNameNr_connectNotify 1122
#define sipName_connectNotify &sipStrings_QtSql[1122]
#define sipNameNr_destroyEditor 1895
#define sipName_destroyEditor &sipStrings_QtSql[1895]
#define sipNameNr_displayColumn 1909
#define sipName_displayColumn &sipStrings_QtSql[1909]
#define sipNameNr_endInsertRows 1923
#define sipName_endInsertRows &sipStrings_QtSql[1923]
#define sipNameNr_endRemoveRows 1937
#define sipName_endRemoveRows &sipStrings_QtSql[1937]
#define sipNameNr_endResetModel 1951
#define sipName_endResetModel &sipStrings_QtSql[1951]
#define sipNameNr_executedQuery 1965
#define sipName_executedQuery &sipStrings_QtSql[1965]
#define sipNameNr_fetchPrevious 1979
#define sipName_fetchPrevious &sipStrings_QtSql[1979]
#define sipNameNr_insertColumns 1993
#define sipName_insertColumns &sipStrings_QtSql[1993]
#define sipNameNr_isForwardOnly 2007
#define sipName_isForwardOnly &sipStrings_QtSql[2007]
#define sipNameNr_orderByClause 2021
#define sipName_orderByClause &sipStrings_QtSql[2021]
#define sipNameNr_primaryValues 2035
#define sipName_primaryValues &sipStrings_QtSql[2035]
#define sipNameNr_relationModel 2049
#define sipName_relationModel &sipStrings_QtSql[2049]
#define sipNameNr_removeColumns 2063
#define sipName_removeColumns &sipStrings_QtSql[2063]
#define sipNameNr_setCursorName 2077
#define sipName_setCursorName &sipStrings_QtSql[2077]
#define sipNameNr_setDescending 2091
#define sipName_setDescending &sipStrings_QtSql[2091]
#define sipNameNr_setEditorData 2105
#define sipName_setEditorData &sipStrings_QtSql[2105]
#define sipNameNr_setHeaderData 2119
#define sipName_setHeaderData &sipStrings_QtSql[2119]
#define sipNameNr_setPrimaryKey 2133
#define sipName_setPrimaryKey &sipStrings_QtSql[2133]
#define sipNameNr_AfterLastRow 2147
#define sipName_AfterLastRow &sipStrings_QtSql[2147]
#define sipNameNr_EditStrategy 143
#define sipName_EditStrategy &sipStrings_QtSql[143]
#define sipNameNr_LastInsertId 2160
#define sipName_LastInsertId &sipStrings_QtSql[2160]
#define sipNameNr_NamedBinding 2173
#define sipName_NamedBinding &sipStrings_QtSql[2173]
#define sipNameNr_QSqlDatabase 2186
#define sipName_QSqlDatabase &sipStrings_QtSql[2186]
#define sipNameNr_QSqlRelation 2199
#define sipName_QSqlRelation &sipStrings_QtSql[2199]
#define sipNameNr_SystemTables 2212
#define sipName_SystemTables &sipStrings_QtSql[2212]
#define sipNameNr_Transactions 2225
#define sipName_Transactions &sipStrings_QtSql[2225]
#define sipNameNr_UnknownError 2238
#define sipName_UnknownError &sipStrings_QtSql[2238]
#define sipNameNr_ValuesAsRows 2251
#define sipName_ValuesAsRows &sipStrings_QtSql[2251]
#define sipNameNr_addBindValue 2264
#define sipName_addBindValue &sipStrings_QtSql[2264]
#define sipNameNr_beforeDelete 2277
#define sipName_beforeDelete &sipStrings_QtSql[2277]
#define sipNameNr_beforeInsert 2290
#define sipName_beforeInsert &sipStrings_QtSql[2290]
#define sipNameNr_beforeUpdate 2303
#define sipName_beforeUpdate &sipStrings_QtSql[2303]
#define sipNameNr_canFetchMore 2316
#define sipName_canFetchMore &sipStrings_QtSql[2316]
#define sipNameNr_createEditor 2329
#define sipName_createEditor &sipStrings_QtSql[2329]
#define sipNameNr_createObject 2342
#define sipName_createObject &sipStrings_QtSql[2342]
#define sipNameNr_createResult 2355
#define sipName_createResult &sipStrings_QtSql[2355]
#define sipNameNr_databaseName 2368
#define sipName_databaseName &sipStrings_QtSql[2368]
#define sipNameNr_databaseText 2381
#define sipName_databaseText &sipStrings_QtSql[2381]
#define sipNameNr_defaultValue 2394
#define sipName_defaultValue &sipStrings_QtSql[2394]
#define sipNameNr_dropMimeData 2407
#define sipName_dropMimeData &sipStrings_QtSql[2407]
#define sipNameNr_editStrategy 2420
#define sipName_editStrategy &sipStrings_QtSql[2420]
#define sipNameNr_hasOutValues 2433
#define sipName_hasOutValues &sipStrings_QtSql[2433]
#define sipNameNr_indexInQuery 2446
#define sipName_indexInQuery &sipStrings_QtSql[2446]
#define sipNameNr_insertRecord 2459
#define sipName_insertRecord &sipStrings_QtSql[2459]
#define sipNameNr_isDescending 2472
#define sipName_isDescending &sipStrings_QtSql[2472]
#define sipNameNr_lastInsertId 2485
#define sipName_lastInsertId &sipStrings_QtSql[2485]
#define sipNameNr_notification 2498
#define sipName_notification &sipStrings_QtSql[2498]
#define sipNameNr_primaryIndex 2511
#define sipName_primaryIndex &sipStrings_QtSql[2511]
#define sipNameNr_setAutoValue 2524
#define sipName_setAutoValue &sipStrings_QtSql[2524]
#define sipNameNr_setGenerated 2537
#define sipName_setGenerated &sipStrings_QtSql[2537]
#define sipNameNr_setLastError 2550
#define sipName_setLastError &sipStrings_QtSql[2550]
#define sipNameNr_setModelData 2563
#define sipName_setModelData &sipStrings_QtSql[2563]
#define sipNameNr_setOpenError 2576
#define sipName_setOpenError &sipStrings_QtSql[2576]
#define sipNameNr_setPrecision 2589
#define sipName_setPrecision &sipStrings_QtSql[2589]
#define sipNameNr_setTableName 2602
#define sipName_setTableName &sipStrings_QtSql[2602]
#define sipNameNr_sqlStatement 2615
#define sipName_sqlStatement &sipStrings_QtSql[2615]
#define sipNameNr_FinishQuery 2628
#define sipName_FinishQuery &sipStrings_QtSql[2628]
#define sipNameNr_MSSqlServer 2640
#define sipName_MSSqlServer &sipStrings_QtSql[2640]
#define sipNameNr_MySqlServer 2652
#define sipName_MySqlServer &sipStrings_QtSql[2652]
#define sipNameNr_OnRowChange 2664
#define sipName_OnRowChange &sipStrings_QtSql[2664]
#define sipNameNr_OtherSource 2676
#define sipName_OtherSource &sipStrings_QtSql[2676]
#define sipNameNr_PyQt6_QtSql 2688
#define sipName_PyQt6_QtSql &sipStrings_QtSql[2688]
#define sipNameNr_UnknownDbms 2700
#define sipName_UnknownDbms &sipStrings_QtSql[2700]
#define sipNameNr_addDatabase 2712
#define sipName_addDatabase &sipStrings_QtSql[2712]
#define sipNameNr_boundValues 2724
#define sipName_boundValues &sipStrings_QtSql[2724]
#define sipNameNr_clearValues 2736
#define sipName_clearValues &sipStrings_QtSql[2736]
#define sipNameNr_columnCount 2748
#define sipName_columnCount &sipStrings_QtSql[2748]
#define sipNameNr_customEvent 2760
#define sipName_customEvent &sipStrings_QtSql[2760]
#define sipNameNr_displayText 2772
#define sipName_displayText &sipStrings_QtSql[2772]
#define sipNameNr_editorEvent 2784
#define sipName_editorEvent &sipStrings_QtSql[2784]
#define sipNameNr_eventFilter 2796
#define sipName_eventFilter &sipStrings_QtSql[2796]
#define sipNameNr_formatValue 2808
#define sipName_formatValue &sipStrings_QtSql[2808]
#define sipNameNr_hasChildren 2820
#define sipName_hasChildren &sipStrings_QtSql[2820]
#define sipNameNr_indexColumn 2832
#define sipName_indexColumn &sipStrings_QtSql[2832]
#define sipNameNr_isAutoValue 2844
#define sipName_isAutoValue &sipStrings_QtSql[2844]
#define sipNameNr_isGenerated 2856
#define sipName_isGenerated &sipStrings_QtSql[2856]
#define sipNameNr_isOpenError 2868
#define sipName_isOpenError &sipStrings_QtSql[2868]
#define sipNameNr_moveColumns 855
#define sipName_moveColumns &sipStrings_QtSql[855]
#define sipNameNr_primeInsert 2880
#define sipName_primeInsert &sipStrings_QtSql[2880]
#define sipNameNr_queryChange 2892
#define sipName_queryChange &sipStrings_QtSql[2892]
#define sipNameNr_savePrepare 2904
#define sipName_savePrepare &sipStrings_QtSql[2904]
#define sipNameNr_setHostName 2916
#define sipName_setHostName &sipStrings_QtSql[2916]
#define sipNameNr_setItemData 2928
#define sipName_setItemData &sipStrings_QtSql[2928]
#define sipNameNr_setJoinMode 2940
#define sipName_setJoinMode &sipStrings_QtSql[2940]
#define sipNameNr_setMetaType 2952
#define sipName_setMetaType &sipStrings_QtSql[2952]
#define sipNameNr_setPassword 2964
#define sipName_setPassword &sipStrings_QtSql[2964]
#define sipNameNr_setReadOnly 2976
#define sipName_setReadOnly &sipStrings_QtSql[2976]
#define sipNameNr_setRelation 2988
#define sipName_setRelation &sipStrings_QtSql[2988]
#define sipNameNr_setRequired 3000
#define sipName_setRequired &sipStrings_QtSql[3000]
#define sipNameNr_setUserName 3012
#define sipName_setUserName &sipStrings_QtSql[3012]
#define sipNameNr_transaction 3024
#define sipName_transaction &sipStrings_QtSql[3024]
#define sipNameNr_trimStrings 3036
#define sipName_trimStrings &sipStrings_QtSql[3036]
#define sipNameNr_PostgreSQL 3048
#define sipName_PostgreSQL &sipStrings_QtSql[3048]
#define sipNameNr_QSqlDriver 3059
#define sipName_QSqlDriver &sipStrings_QtSql[3059]
#define sipNameNr_QSqlRecord 3070
#define sipName_QSqlRecord &sipStrings_QtSql[3070]
#define sipNameNr_QSqlResult 3081
#define sipName_QSqlResult &sipStrings_QtSql[3081]
#define sipNameNr_SelfSource 3092
#define sipName_SelfSource &sipStrings_QtSql[3092]
#define sipNameNr_boundValue 3103
#define sipName_boundValue &sipStrings_QtSql[3103]
#define sipNameNr_childEvent 3114
#define sipName_childEvent &sipStrings_QtSql[3114]
#define sipNameNr_cursorName 3125
#define sipName_cursorName &sipStrings_QtSql[3125]
#define sipNameNr_driverName 3136
#define sipName_driverName &sipStrings_QtSql[3136]
#define sipNameNr_driverText 3147
#define sipName_driverText &sipStrings_QtSql[3147]
#define sipNameNr_fetchFirst 3158
#define sipName_fetchFirst &sipStrings_QtSql[3158]
#define sipNameNr_fieldIndex 3169
#define sipName_fieldIndex &sipStrings_QtSql[3169]
#define sipNameNr_hasFeature 3180
#define sipName_hasFeature &sipStrings_QtSql[3180]
#define sipNameNr_headerData 3191
#define sipName_headerData &sipStrings_QtSql[3191]
#define sipNameNr_insertRows 3202
#define sipName_insertRows &sipStrings_QtSql[3202]
#define sipNameNr_isReadOnly 3213
#define sipName_isReadOnly &sipStrings_QtSql[3213]
#define sipNameNr_nextResult 3224
#define sipName_nextResult &sipStrings_QtSql[3224]
#define sipNameNr_primaryKey 3235
#define sipName_primaryKey &sipStrings_QtSql[3235]
#define sipNameNr_removeRows 3246
#define sipName_removeRows &sipStrings_QtSql[3246]
#define sipNameNr_setSqlType 3257
#define sipName_setSqlType &sipStrings_QtSql[3257]
#define sipNameNr_timerEvent 3268
#define sipName_timerEvent &sipStrings_QtSql[3268]
#define sipNameNr_AllTables 3279
#define sipName_AllTables &sipStrings_QtSql[3279]
#define sipNameNr_ErrorType 619
#define sipName_ErrorType &sipStrings_QtSql[619]
#define sipNameNr_FieldName 3289
#define sipName_FieldName &sipStrings_QtSql[3289]
#define sipNameNr_InnerJoin 3299
#define sipName_InnerJoin &sipStrings_QtSql[3299]
#define sipNameNr_Interbase 3309
#define sipName_Interbase &sipStrings_QtSql[3309]
#define sipNameNr_QSqlError 3319
#define sipName_QSqlError &sipStrings_QtSql[3319]
#define sipNameNr_QSqlField 3329
#define sipName_QSqlField &sipStrings_QtSql[3329]
#define sipNameNr_QSqlIndex 3339
#define sipName_QSqlIndex &sipStrings_QtSql[3339]
#define sipNameNr_QSqlQuery 3349
#define sipName_QSqlQuery &sipStrings_QtSql[3349]
#define sipNameNr_QuerySize 3359
#define sipName_QuerySize &sipStrings_QtSql[3359]
#define sipNameNr_TableName 2605
#define sipName_TableName &sipStrings_QtSql[2605]
#define sipNameNr_TableType 1290
#define sipName_TableType &sipStrings_QtSql[1290]
#define sipNameNr_bindValue 3369
#define sipName_bindValue &sipStrings_QtSql[3369]
#define sipNameNr_errorCode 3379
#define sipName_errorCode &sipStrings_QtSql[3379]
#define sipNameNr_execBatch 3389
#define sipName_execBatch &sipStrings_QtSql[3389]
#define sipNameNr_fetchLast 3399
#define sipName_fetchLast &sipStrings_QtSql[3399]
#define sipNameNr_fetchMore 3409
#define sipName_fetchMore &sipStrings_QtSql[3409]
#define sipNameNr_fetchNext 3419
#define sipName_fetchNext &sipStrings_QtSql[3419]
#define sipNameNr_fieldName 3429
#define sipName_fieldName &sipStrings_QtSql[3429]
#define sipNameNr_helpEvent 3439
#define sipName_helpEvent &sipStrings_QtSql[3439]
#define sipNameNr_keyValues 3449
#define sipName_keyValues &sipStrings_QtSql[3449]
#define sipNameNr_lastError 3459
#define sipName_lastError &sipStrings_QtSql[3459]
#define sipNameNr_lastQuery 3469
#define sipName_lastQuery &sipStrings_QtSql[3469]
#define sipNameNr_mimeTypes 3479
#define sipName_mimeTypes &sipStrings_QtSql[3479]
#define sipNameNr_multiData 3489
#define sipName_multiData &sipStrings_QtSql[3489]
#define sipNameNr_precision 3499
#define sipName_precision &sipStrings_QtSql[3499]
#define sipNameNr_revertAll 3509
#define sipName_revertAll &sipStrings_QtSql[3509]
#define sipNameNr_revertRow 3519
#define sipName_revertRow &sipStrings_QtSql[3519]
#define sipNameNr_roleNames 3529
#define sipName_roleNames &sipStrings_QtSql[3529]
#define sipNameNr_selectRow 3539
#define sipName_selectRow &sipStrings_QtSql[3539]
#define sipNameNr_setActive 3549
#define sipName_setActive &sipStrings_QtSql[3549]
#define sipNameNr_setFilter 3559
#define sipName_setFilter &sipStrings_QtSql[3559]
#define sipNameNr_setLength 3569
#define sipName_setLength &sipStrings_QtSql[3569]
#define sipNameNr_setRecord 3579
#define sipName_setRecord &sipStrings_QtSql[3579]
#define sipNameNr_setSelect 3589
#define sipName_setSelect &sipStrings_QtSql[3589]
#define sipNameNr_submitAll 3599
#define sipName_submitAll &sipStrings_QtSql[3599]
#define sipNameNr_tableName 3609
#define sipName_tableName &sipStrings_QtSql[3609]
#define sipNameNr_DbmsType 599
#define sipName_DbmsType &sipStrings_QtSql[599]
#define sipNameNr_JoinMode 26
#define sipName_JoinMode &sipStrings_QtSql[26]
#define sipNameNr_LeftJoin 3619
#define sipName_LeftJoin &sipStrings_QtSql[3619]
#define sipNameNr_Location 1624
#define sipName_Location &sipStrings_QtSql[1624]
#define sipNameNr_MimerSQL 3628
#define sipName_MimerSQL &sipStrings_QtSql[3628]
#define sipNameNr_Optional 3637
#define sipName_Optional &sipStrings_QtSql[3637]
#define sipNameNr_Required 3003
#define sipName_Required &sipStrings_QtSql[3003]
#define sipNameNr_contains 3646
#define sipName_contains &sipStrings_QtSql[3646]
#define sipNameNr_database 3655
#define sipName_database &sipStrings_QtSql[3655]
#define sipNameNr_dbmsType 3664
#define sipName_dbmsType &sipStrings_QtSql[3664]
#define sipNameNr_hostName 3673
#define sipName_hostName &sipStrings_QtSql[3673]
#define sipNameNr_isActive 3682
#define sipName_isActive &sipStrings_QtSql[3682]
#define sipNameNr_isSelect 3691
#define sipName_isSelect &sipStrings_QtSql[3691]
#define sipNameNr_itemData 3700
#define sipName_itemData &sipStrings_QtSql[3700]
#define sipNameNr_metaType 3709
#define sipName_metaType &sipStrings_QtSql[3709]
#define sipNameNr_mimeData 3718
#define sipName_mimeData &sipStrings_QtSql[3718]
#define sipNameNr_moveRows 1371
#define sipName_moveRows &sipStrings_QtSql[1371]
#define sipNameNr_password 3727
#define sipName_password &sipStrings_QtSql[3727]
#define sipNameNr_previous 3736
#define sipName_previous &sipStrings_QtSql[3736]
#define sipNameNr_relation 3745
#define sipName_relation &sipStrings_QtSql[3745]
#define sipNameNr_relative 3754
#define sipName_relative &sipStrings_QtSql[3754]
#define sipNameNr_rollback 3763
#define sipName_rollback &sipStrings_QtSql[3763]
#define sipNameNr_rowCount 3772
#define sipName_rowCount &sipStrings_QtSql[3772]
#define sipNameNr_setQuery 3781
#define sipName_setQuery &sipStrings_QtSql[3781]
#define sipNameNr_setTable 3790
#define sipName_setTable &sipStrings_QtSql[3790]
#define sipNameNr_setValue 3799
#define sipName_setValue &sipStrings_QtSql[3799]
#define sipNameNr_sizeHint 3808
#define sipName_sizeHint &sipStrings_QtSql[3808]
#define sipNameNr_userName 3817
#define sipName_userName &sipStrings_QtSql[3817]
#define sipNameNr_NoError 3826
#define sipName_NoError &sipStrings_QtSql[3826]
#define sipNameNr_Unicode 3834
#define sipName_Unicode &sipStrings_QtSql[3834]
#define sipNameNr_Unknown 3842
#define sipName_Unknown &sipStrings_QtSql[3842]
#define sipNameNr___len__ 3850
#define sipName___len__ &sipStrings_QtSql[3850]
#define sipNameNr_drivers 3858
#define sipName_drivers &sipStrings_QtSql[3858]
#define sipNameNr_indexOf 3866
#define sipName_indexOf &sipStrings_QtSql[3866]
#define sipNameNr_isDirty 3874
#define sipName_isDirty &sipStrings_QtSql[3874]
#define sipNameNr_isEmpty 3882
#define sipName_isEmpty &sipStrings_QtSql[3882]
#define sipNameNr_isValid 3890
#define sipName_isValid &sipStrings_QtSql[3890]
#define sipNameNr_options 3898
#define sipName_options &sipStrings_QtSql[3898]
#define sipNameNr_prepare 3906
#define sipName_prepare &sipStrings_QtSql[3906]
#define sipNameNr_replace 3914
#define sipName_replace &sipStrings_QtSql[3914]
#define sipNameNr_setData 3922
#define sipName_setData &sipStrings_QtSql[3922]
#define sipNameNr_setName 3930
#define sipName_setName &sipStrings_QtSql[3930]
#define sipNameNr_setNull 3938
#define sipName_setNull &sipStrings_QtSql[3938]
#define sipNameNr_setOpen 3946
#define sipName_setOpen &sipStrings_QtSql[3946]
#define sipNameNr_setPort 3954
#define sipName_setPort &sipStrings_QtSql[3954]
#define sipNameNr_setSort 3962
#define sipName_setSort &sipStrings_QtSql[3962]
#define sipNameNr_sibling 3970
#define sipName_sibling &sipStrings_QtSql[3970]
#define sipNameNr_Binary 3978
#define sipName_Binary &sipStrings_QtSql[3978]
#define sipNameNr_Oracle 3985
#define sipName_Oracle &sipStrings_QtSql[3985]
#define sipNameNr_SQLite 3992
#define sipName_SQLite &sipStrings_QtSql[3992]
#define sipNameNr_Sybase 3999
#define sipName_Sybase &sipStrings_QtSql[3999]
#define sipNameNr_Tables 2218
#define sipName_Tables &sipStrings_QtSql[2218]
#define sipNameNr___eq__ 4006
#define sipName___eq__ &sipStrings_QtSql[4006]
#define sipNameNr___ne__ 4013
#define sipName___ne__ &sipStrings_QtSql[4013]
#define sipNameNr_append 4020
#define sipName_append &sipStrings_QtSql[4020]
#define sipNameNr_commit 4027
#define sipName_commit &sipStrings_QtSql[4027]
#define sipNameNr_driver 4034
#define sipName_driver &sipStrings_QtSql[4034]
#define sipNameNr_filter 4041
#define sipName_filter &sipStrings_QtSql[4041]
#define sipNameNr_finish 4048
#define sipName_finish &sipStrings_QtSql[4048]
#define sipNameNr_handle 4055
#define sipName_handle &sipStrings_QtSql[4055]
#define sipNameNr_insert 4062
#define sipName_insert &sipStrings_QtSql[4062]
#define sipNameNr_isNull 4069
#define sipName_isNull &sipStrings_QtSql[4069]
#define sipNameNr_isOpen 4076
#define sipName_isOpen &sipStrings_QtSql[4076]
#define sipNameNr_length 4083
#define sipName_length &sipStrings_QtSql[4083]
#define sipNameNr_parent 4090
#define sipName_parent &sipStrings_QtSql[4090]
#define sipNameNr_record 4097
#define sipName_record &sipStrings_QtSql[4097]
#define sipNameNr_remove 4104
#define sipName_remove &sipStrings_QtSql[4104]
#define sipNameNr_result 4111
#define sipName_result &sipStrings_QtSql[4111]
#define sipNameNr_revert 4118
#define sipName_revert &sipStrings_QtSql[4118]
#define sipNameNr_select 4125
#define sipName_select &sipStrings_QtSql[4125]
#define sipNameNr_submit 4132
#define sipName_submit &sipStrings_QtSql[4132]
#define sipNameNr_tables 4139
#define sipName_tables &sipStrings_QtSql[4139]
#define sipNameNr_typeID 4146
#define sipName_typeID &sipStrings_QtSql[4146]
#define sipNameNr_InOut 4153
#define sipName_InOut &sipStrings_QtSql[4153]
#define sipNameNr_Views 4159
#define sipName_Views &sipStrings_QtSql[4159]
#define sipNameNr_buddy 4165
#define sipName_buddy &sipStrings_QtSql[4165]
#define sipNameNr_clear 4171
#define sipName_clear &sipStrings_QtSql[4171]
#define sipNameNr_close 4177
#define sipName_close &sipStrings_QtSql[4177]
#define sipNameNr_count 4183
#define sipName_count &sipStrings_QtSql[4183]
#define sipNameNr_event 4189
#define sipName_event &sipStrings_QtSql[4189]
#define sipNameNr_fetch 4195
#define sipName_fetch &sipStrings_QtSql[4195]
#define sipNameNr_field 4201
#define sipName_field &sipStrings_QtSql[4201]
#define sipNameNr_first 4207
#define sipName_first &sipStrings_QtSql[4207]
#define sipNameNr_flags 4213
#define sipName_flags &sipStrings_QtSql[4213]
#define sipNameNr_index 4219
#define sipName_index &sipStrings_QtSql[4219]
#define sipNameNr_match 4225
#define sipName_match &sipStrings_QtSql[4225]
#define sipNameNr_paint 4231
#define sipName_paint &sipStrings_QtSql[4231]
#define sipNameNr_query 4237
#define sipName_query &sipStrings_QtSql[4237]
#define sipNameNr_reset 4243
#define sipName_reset &sipStrings_QtSql[4243]
#define sipNameNr_setAt 4249
#define sipName_setAt &sipStrings_QtSql[4249]
#define sipNameNr_value 4255
#define sipName_value &sipStrings_QtSql[4255]
#define sipNameNr_BLOB 4261
#define sipName_BLOB &sipStrings_QtSql[4261]
#define sipNameNr_QSql 4266
#define sipName_QSql &sipStrings_QtSql[4266]
#define sipNameNr_data 4271
#define sipName_data &sipStrings_QtSql[4271]
#define sipNameNr_exec 4276
#define sipName_exec &sipStrings_QtSql[4276]
#define sipNameNr_host 4281
#define sipName_host &sipStrings_QtSql[4281]
#define sipNameNr_last 4286
#define sipName_last &sipStrings_QtSql[4286]
#define sipNameNr_mode 4291
#define sipName_mode &sipStrings_QtSql[4291]
#define sipNameNr_name 4296
#define sipName_name &sipStrings_QtSql[4296]
#define sipNameNr_next 4301
#define sipName_next &sipStrings_QtSql[4301]
#define sipNameNr_open 4306
#define sipName_open &sipStrings_QtSql[4306]
#define sipNameNr_port 4311
#define sipName_port &sipStrings_QtSql[4311]
#define sipNameNr_role 4316
#define sipName_role &sipStrings_QtSql[4316]
#define sipNameNr_seek 4321
#define sipName_seek &sipStrings_QtSql[4321]
#define sipNameNr_size 4326
#define sipName_size &sipStrings_QtSql[4326]
#define sipNameNr_sort 4331
#define sipName_sort &sipStrings_QtSql[4331]
#define sipNameNr_span 4336
#define sipName_span &sipStrings_QtSql[4336]
#define sipNameNr_swap 4341
#define sipName_swap &sipStrings_QtSql[4341]
#define sipNameNr_text 4346
#define sipName_text &sipStrings_QtSql[4346]
#define sipNameNr_type 4351
#define sipName_type &sipStrings_QtSql[4351]
#define sipNameNr_user 4356
#define sipName_user &sipStrings_QtSql[4356]
#define sipNameNr_DB2 4361
#define sipName_DB2 &sipStrings_QtSql[4361]
#define sipNameNr_Out 4155
#define sipName_Out &sipStrings_QtSql[4155]
#define sipNameNr_In 4365
#define sipName_In &sipStrings_QtSql[4365]
#define sipNameNr_at 4368
#define sipName_at &sipStrings_QtSql[4368]
#define sipNameNr_db 4371
#define sipName_db &sipStrings_QtSql[4371]

#define sipMalloc                   sipAPI_QtSql->api_malloc
#define sipFree                     sipAPI_QtSql->api_free
#define sipBuildResult              sipAPI_QtSql->api_build_result
#define sipCallMethod               sipAPI_QtSql->api_call_method
#define sipCallProcedureMethod      sipAPI_QtSql->api_call_procedure_method
#define sipCallErrorHandler         sipAPI_QtSql->api_call_error_handler
#define sipParseResultEx            sipAPI_QtSql->api_parse_result_ex
#define sipParseResult              sipAPI_QtSql->api_parse_result
#define sipParseArgs                sipAPI_QtSql->api_parse_args
#define sipParseKwdArgs             sipAPI_QtSql->api_parse_kwd_args
#define sipParsePair                sipAPI_QtSql->api_parse_pair
#define sipInstanceDestroyed        sipAPI_QtSql->api_instance_destroyed
#define sipInstanceDestroyedEx      sipAPI_QtSql->api_instance_destroyed_ex
#define sipConvertFromSequenceIndex sipAPI_QtSql->api_convert_from_sequence_index
#define sipConvertFromSliceObject   sipAPI_QtSql->api_convert_from_slice_object
#define sipConvertFromVoidPtr       sipAPI_QtSql->api_convert_from_void_ptr
#define sipConvertToVoidPtr         sipAPI_QtSql->api_convert_to_void_ptr
#define sipAddException             sipAPI_QtSql->api_add_exception
#define sipNoFunction               sipAPI_QtSql->api_no_function
#define sipNoMethod                 sipAPI_QtSql->api_no_method
#define sipAbstractMethod           sipAPI_QtSql->api_abstract_method
#define sipBadClass                 sipAPI_QtSql->api_bad_class
#define sipBadCatcherResult         sipAPI_QtSql->api_bad_catcher_result
#define sipBadCallableArg           sipAPI_QtSql->api_bad_callable_arg
#define sipBadOperatorArg           sipAPI_QtSql->api_bad_operator_arg
#define sipTrace                    sipAPI_QtSql->api_trace
#define sipTransferBack             sipAPI_QtSql->api_transfer_back
#define sipTransferTo               sipAPI_QtSql->api_transfer_to
#define sipSimpleWrapper_Type       sipAPI_QtSql->api_simplewrapper_type
#define sipWrapper_Type             sipAPI_QtSql->api_wrapper_type
#define sipWrapperType_Type         sipAPI_QtSql->api_wrappertype_type
#define sipVoidPtr_Type             sipAPI_QtSql->api_voidptr_type
#define sipGetPyObject              sipAPI_QtSql->api_get_pyobject
#define sipGetAddress               sipAPI_QtSql->api_get_address
#define sipGetMixinAddress          sipAPI_QtSql->api_get_mixin_address
#define sipGetCppPtr                sipAPI_QtSql->api_get_cpp_ptr
#define sipGetComplexCppPtr         sipAPI_QtSql->api_get_complex_cpp_ptr
#define sipCallHook                 sipAPI_QtSql->api_call_hook
#define sipEndThread                sipAPI_QtSql->api_end_thread
#define sipRaiseUnknownException    sipAPI_QtSql->api_raise_unknown_exception
#define sipRaiseTypeException       sipAPI_QtSql->api_raise_type_exception
#define sipBadLengthForSlice        sipAPI_QtSql->api_bad_length_for_slice
#define sipAddTypeInstance          sipAPI_QtSql->api_add_type_instance
#define sipPySlotExtend             sipAPI_QtSql->api_pyslot_extend
#define sipAddDelayedDtor           sipAPI_QtSql->api_add_delayed_dtor
#define sipCanConvertToType         sipAPI_QtSql->api_can_convert_to_type
#define sipConvertToType            sipAPI_QtSql->api_convert_to_type
#define sipForceConvertToType       sipAPI_QtSql->api_force_convert_to_type
#define sipConvertToEnum            sipAPI_QtSql->api_convert_to_enum
#define sipConvertToBool            sipAPI_QtSql->api_convert_to_bool
#define sipReleaseType              sipAPI_QtSql->api_release_type
#define sipConvertFromType          sipAPI_QtSql->api_convert_from_type
#define sipConvertFromNewType       sipAPI_QtSql->api_convert_from_new_type
#define sipConvertFromNewPyType     sipAPI_QtSql->api_convert_from_new_pytype
#define sipConvertFromEnum          sipAPI_QtSql->api_convert_from_enum
#define sipGetState                 sipAPI_QtSql->api_get_state
#define sipExportSymbol             sipAPI_QtSql->api_export_symbol
#define sipImportSymbol             sipAPI_QtSql->api_import_symbol
#define sipFindType                 sipAPI_QtSql->api_find_type
#define sipBytes_AsChar             sipAPI_QtSql->api_bytes_as_char
#define sipBytes_AsString           sipAPI_QtSql->api_bytes_as_string
#define sipString_AsASCIIChar       sipAPI_QtSql->api_string_as_ascii_char
#define sipString_AsASCIIString     sipAPI_QtSql->api_string_as_ascii_string
#define sipString_AsLatin1Char      sipAPI_QtSql->api_string_as_latin1_char
#define sipString_AsLatin1String    sipAPI_QtSql->api_string_as_latin1_string
#define sipString_AsUTF8Char        sipAPI_QtSql->api_string_as_utf8_char
#define sipString_AsUTF8String      sipAPI_QtSql->api_string_as_utf8_string
#define sipUnicode_AsWChar          sipAPI_QtSql->api_unicode_as_wchar
#define sipUnicode_AsWString        sipAPI_QtSql->api_unicode_as_wstring
#define sipConvertFromConstVoidPtr  sipAPI_QtSql->api_convert_from_const_void_ptr
#define sipConvertFromVoidPtrAndSize    sipAPI_QtSql->api_convert_from_void_ptr_and_size
#define sipConvertFromConstVoidPtrAndSize   sipAPI_QtSql->api_convert_from_const_void_ptr_and_size
#define sipWrappedTypeName(wt)      ((wt)->wt_td->td_cname)
#define sipDeprecated               sipAPI_QtSql->api_deprecated
#define sipGetReference             sipAPI_QtSql->api_get_reference
#define sipKeepReference            sipAPI_QtSql->api_keep_reference
#define sipRegisterProxyResolver    sipAPI_QtSql->api_register_proxy_resolver
#define sipRegisterPyType           sipAPI_QtSql->api_register_py_type
#define sipTypeFromPyTypeObject     sipAPI_QtSql->api_type_from_py_type_object
#define sipTypeScope                sipAPI_QtSql->api_type_scope
#define sipResolveTypedef           sipAPI_QtSql->api_resolve_typedef
#define sipRegisterAttributeGetter  sipAPI_QtSql->api_register_attribute_getter
#define sipEnableAutoconversion     sipAPI_QtSql->api_enable_autoconversion
#define sipInitMixin                sipAPI_QtSql->api_init_mixin
#define sipExportModule             sipAPI_QtSql->api_export_module
#define sipInitModule               sipAPI_QtSql->api_init_module
#define sipGetInterpreter           sipAPI_QtSql->api_get_interpreter
#define sipSetTypeUserData          sipAPI_QtSql->api_set_type_user_data
#define sipGetTypeUserData          sipAPI_QtSql->api_get_type_user_data
#define sipPyTypeDict               sipAPI_QtSql->api_py_type_dict
#define sipPyTypeName               sipAPI_QtSql->api_py_type_name
#define sipGetCFunction             sipAPI_QtSql->api_get_c_function
#define sipGetMethod                sipAPI_QtSql->api_get_method
#define sipFromMethod               sipAPI_QtSql->api_from_method
#define sipGetDate                  sipAPI_QtSql->api_get_date
#define sipFromDate                 sipAPI_QtSql->api_from_date
#define sipGetDateTime              sipAPI_QtSql->api_get_datetime
#define sipFromDateTime             sipAPI_QtSql->api_from_datetime
#define sipGetTime                  sipAPI_QtSql->api_get_time
#define sipFromTime                 sipAPI_QtSql->api_from_time
#define sipIsUserType               sipAPI_QtSql->api_is_user_type
#define sipCheckPluginForType       sipAPI_QtSql->api_check_plugin_for_type
#define sipUnicodeNew               sipAPI_QtSql->api_unicode_new
#define sipUnicodeWrite             sipAPI_QtSql->api_unicode_write
#define sipUnicodeData              sipAPI_QtSql->api_unicode_data
#define sipGetBufferInfo            sipAPI_QtSql->api_get_buffer_info
#define sipReleaseBufferInfo        sipAPI_QtSql->api_release_buffer_info
#define sipIsOwnedByPython          sipAPI_QtSql->api_is_owned_by_python
#define sipIsDerivedClass           sipAPI_QtSql->api_is_derived_class
#define sipGetUserObject            sipAPI_QtSql->api_get_user_object
#define sipSetUserObject            sipAPI_QtSql->api_set_user_object
#define sipRegisterEventHandler     sipAPI_QtSql->api_register_event_handler
#define sipConvertToArray           sipAPI_QtSql->api_convert_to_array
#define sipConvertToTypedArray      sipAPI_QtSql->api_convert_to_typed_array
#define sipEnableGC                 sipAPI_QtSql->api_enable_gc
#define sipPrintObject              sipAPI_QtSql->api_print_object
#define sipLong_AsChar              sipAPI_QtSql->api_long_as_char
#define sipLong_AsSignedChar        sipAPI_QtSql->api_long_as_signed_char
#define sipLong_AsUnsignedChar      sipAPI_QtSql->api_long_as_unsigned_char
#define sipLong_AsShort             sipAPI_QtSql->api_long_as_short
#define sipLong_AsUnsignedShort     sipAPI_QtSql->api_long_as_unsigned_short
#define sipLong_AsInt               sipAPI_QtSql->api_long_as_int
#define sipLong_AsUnsignedInt       sipAPI_QtSql->api_long_as_unsigned_int
#define sipLong_AsLong              sipAPI_QtSql->api_long_as_long
#define sipLong_AsUnsignedLong      sipAPI_QtSql->api_long_as_unsigned_long
#define sipLong_AsLongLong          sipAPI_QtSql->api_long_as_long_long
#define sipLong_AsUnsignedLongLong  sipAPI_QtSql->api_long_as_unsigned_long_long
#define sipLong_AsSizeT             sipAPI_QtSql->api_long_as_size_t
#define sipVisitWrappers            sipAPI_QtSql->api_visit_wrappers
#define sipRegisterExitNotifier     sipAPI_QtSql->api_register_exit_notifier
#define sipPyTypeDictRef            sipAPI_QtSql->api_py_type_dict_ref
#define sipNextExceptionHandler     sipAPI_QtSql->api_next_exception_handler
#define sipIsEnumFlag               sipAPI_QtSql->api_is_enum_flag
#define sipConvertToTypeUS          sipAPI_QtSql->api_convert_to_type_us
#define sipForceConvertToTypeUS     sipAPI_QtSql->api_force_convert_to_type_us
#define sipReleaseTypeUS            sipAPI_QtSql->api_release_type_us
#define sipIsPyMethod               sipAPI_QtSql->api_is_py_method_12_8

/* The strings used by this module. */
extern const char sipStrings_QtSql[];

#define sipType_QSqlDriverCreatorBase sipExportedTypes_QtSql[13]

extern sipClassTypeDef sipTypeDef_QtSql_QSqlDriverCreatorBase;

#define sipType_QSqlDatabase sipExportedTypes_QtSql[6]

extern sipClassTypeDef sipTypeDef_QtSql_QSqlDatabase;

#define sipType_QSqlDriver sipExportedTypes_QtSql[7]

#define sipType_QSqlDriver_DbmsType sipExportedTypes_QtSql[8]

#define sipType_QSqlDriver_NotificationSource sipExportedTypes_QtSql[11]

#define sipType_QSqlDriver_IdentifierType sipExportedTypes_QtSql[10]

#define sipType_QSqlDriver_StatementType sipExportedTypes_QtSql[12]

#define sipType_QSqlDriver_DriverFeature sipExportedTypes_QtSql[9]

extern sipClassTypeDef sipTypeDef_QtSql_QSqlDriver;

#define sipType_QSqlError sipExportedTypes_QtSql[14]

#define sipType_QSqlError_ErrorType sipExportedTypes_QtSql[15]

extern sipClassTypeDef sipTypeDef_QtSql_QSqlError;

#define sipType_QSqlField sipExportedTypes_QtSql[16]

#define sipType_QSqlField_RequiredStatus sipExportedTypes_QtSql[17]

extern sipClassTypeDef sipTypeDef_QtSql_QSqlField;

#define sipType_QSqlRecord sipExportedTypes_QtSql[22]

extern sipClassTypeDef sipTypeDef_QtSql_QSqlRecord;

#define sipType_QSqlIndex sipExportedTypes_QtSql[18]

extern sipClassTypeDef sipTypeDef_QtSql_QSqlIndex;

#define sipType_QSqlQuery sipExportedTypes_QtSql[19]

#define sipType_QSqlQuery_BatchExecutionMode sipExportedTypes_QtSql[20]

extern sipClassTypeDef sipTypeDef_QtSql_QSqlQuery;

#define sipType_QSqlQueryModel sipExportedTypes_QtSql[21]

extern sipClassTypeDef sipTypeDef_QtSql_QSqlQueryModel;

#define sipType_QSqlRelationalDelegate sipExportedTypes_QtSql[24]

extern sipClassTypeDef sipTypeDef_QtSql_QSqlRelationalDelegate;

#define sipType_QSqlRelation sipExportedTypes_QtSql[23]

extern sipClassTypeDef sipTypeDef_QtSql_QSqlRelation;

#define sipType_QSqlTableModel sipExportedTypes_QtSql[29]

#define sipType_QSqlTableModel_EditStrategy sipExportedTypes_QtSql[30]

extern sipClassTypeDef sipTypeDef_QtSql_QSqlTableModel;

#define sipType_QSqlRelationalTableModel sipExportedTypes_QtSql[25]

#define sipType_QSqlRelationalTableModel_JoinMode sipExportedTypes_QtSql[26]

extern sipClassTypeDef sipTypeDef_QtSql_QSqlRelationalTableModel;

#define sipType_QSqlResult sipExportedTypes_QtSql[27]

#define sipType_QSqlResult_BindingSyntax sipExportedTypes_QtSql[28]

extern sipClassTypeDef sipTypeDef_QtSql_QSqlResult;

#define sipType_QSql sipExportedTypes_QtSql[1]

#define sipType_QSql_NumericalPrecisionPolicy sipExportedTypes_QtSql[3]

#define sipType_QSql_TableType sipExportedTypes_QtSql[5]

#define sipType_QSql_ParamTypeFlag sipExportedTypes_QtSql[4]

#define sipType_QSql_Location sipExportedTypes_QtSql[2]

extern sipClassTypeDef sipTypeDef_QtSql_QSql;

#define sipType_QFlags_0100QSql_ParamTypeFlag sipExportedTypes_QtSql[0]

extern sipMappedTypeDef sipTypeDef_QtSql_QFlags_0100QSql_ParamTypeFlag;

/* The SIP API, this module's API and the APIs of any imported modules. */
extern const sipAPIDef *sipAPI_QtSql;
extern sipExportedModuleDef sipModuleAPI_QtSql;
extern sipTypeDef *sipExportedTypes_QtSql[];

#define sipType_Qt_DropAction sipImportedTypes_QtSql_QtCore[23].it_td

#define sipType_Qt_SortOrder sipImportedTypes_QtSql_QtCore[25].it_td

#define sipType_Qt_Orientation sipImportedTypes_QtSql_QtCore[24].it_td

#define sipType_QObject sipImportedTypes_QtSql_QtCore[17].it_td

#define sipType_QModelIndex sipImportedTypes_QtSql_QtCore[15].it_td

#define sipType_QAbstractItemModel sipImportedTypes_QtSql_QtCore[0].it_td

#define sipType_QAbstractTableModel sipImportedTypes_QtSql_QtCore[1].it_td

#define sipType_QModelRoleDataSpan sipImportedTypes_QtSql_QtCore[16].it_td

#define sipType_QEvent sipImportedTypes_QtSql_QtCore[3].it_td

#define sipType_QTimerEvent sipImportedTypes_QtSql_QtCore[21].it_td

#define sipType_QChildEvent sipImportedTypes_QtSql_QtCore[2].it_td

#define sipType_QLocale sipImportedTypes_QtSql_QtCore[10].it_td

#define sipType_QMetaMethod sipImportedTypes_QtSql_QtCore[12].it_td

#define sipType_QMetaType sipImportedTypes_QtSql_QtCore[13].it_td

#define sipType_QMimeData sipImportedTypes_QtSql_QtCore[14].it_td

#define sipType_QSize sipImportedTypes_QtSql_QtCore[18].it_td

#define sipType_QVariant sipImportedTypes_QtSql_QtCore[22].it_td

#define sipType_QHash_1800_0100QByteArray sipImportedTypes_QtSql_QtCore[7].it_td

#define sipType_QMap_1800_0100QVariant sipImportedTypes_QtSql_QtCore[11].it_td

#define sipType_QFlags_0100Qt_MatchFlag sipImportedTypes_QtSql_QtCore[6].it_td

#define sipType_QFlags_0100Qt_ItemFlag sipImportedTypes_QtSql_QtCore[5].it_td

#define sipType_QFlags_0100Qt_DropAction sipImportedTypes_QtSql_QtCore[4].it_td

#define sipType_QList_0100QVariant sipImportedTypes_QtSql_QtCore[9].it_td

#define sipType_QList_0100QModelIndex sipImportedTypes_QtSql_QtCore[8].it_td

#define sipType_QStringList sipImportedTypes_QtSql_QtCore[20].it_td

#define sipType_QString sipImportedTypes_QtSql_QtCore[19].it_td
extern sipImportedTypeDef sipImportedTypes_QtSql_QtCore[];
extern sipImportedVirtErrorHandlerDef sipImportedVirtErrorHandlers_QtSql_QtCore[];

#define sipType_QHelpEvent sipImportedTypes_QtSql_QtGui[0].it_td

#define sipType_QPainter sipImportedTypes_QtSql_QtGui[1].it_td
extern sipImportedTypeDef sipImportedTypes_QtSql_QtGui[];

#define sipType_QWidget sipImportedTypes_QtSql_QtWidgets[4].it_td

#define sipType_QAbstractItemDelegate sipImportedTypes_QtSql_QtWidgets[0].it_td

#define sipType_QAbstractItemView sipImportedTypes_QtSql_QtWidgets[1].it_td

#define sipType_QStyledItemDelegate sipImportedTypes_QtSql_QtWidgets[3].it_td

#define sipType_QStyleOptionViewItem sipImportedTypes_QtSql_QtWidgets[2].it_td
extern sipImportedTypeDef sipImportedTypes_QtSql_QtWidgets[];

typedef const QMetaObject *(*sip_qt_metaobject_func)(sipSimpleWrapper *, sipTypeDef *);
extern sip_qt_metaobject_func sip_QtSql_qt_metaobject;

typedef int (*sip_qt_metacall_func)(sipSimpleWrapper *, sipTypeDef *, QMetaObject::Call, int, void **);
extern sip_qt_metacall_func sip_QtSql_qt_metacall;

typedef bool (*sip_qt_metacast_func)(sipSimpleWrapper *, const sipTypeDef *, const char *, void **);
extern sip_qt_metacast_func sip_QtSql_qt_metacast;

#endif
